## python-scipy 0.10.1+dfsg1

=== debian/changelog ===
python-scipy (0.10.1+dfsg1-4) unstable; urgency=low

  [ Julian Taylor ]
  * use dh_numpy3
    - build depend on python3-numpy >= 1:1.6.2~rc1-1~
  * debian/rules: remove reference to pyshared

  [ Varun Hiremath ]
  * debian/patches:
    - add dtype.diff (Closes: #682030)
    - add up_minpack_ints.diff, thanks to Yaroslav Halchenko (Closes: #681270)

 -- Varun Hiremath <varun@debian.org>  Sat, 21 Jul 2012 17:23:02 -0400

python-scipy (0.10.1+dfsg1-3) unstable; urgency=low

  * wrap-and-sort debian folder
  * add python3 packages (Closes: #664785)
  * debian/rules:
    - split the build into build and install step
    - use .install files instead of direct setup.py install

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 20 Apr 2012 21:59:33 +0200

python-scipy (0.10.1+dfsg1-2) unstable; urgency=low

  * debian/control:
    - Recommends: python-imaging (Closes: #648036)
    - Recommends: python-dev (Closes: #651760)
  * debian/patches:
    - Add kolmogorov.diff, thanks to Yaroslav Halchenko (Closes: #653948)
    - Add kde.diff (Closes: #648034)

 -- Varun Hiremath <varun@debian.org>  Fri, 20 Apr 2012 02:37:28 -0400

python-scipy (0.10.1+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #653262)
  * Update debian/orig-tar.sh script
  * debian/patches
    - updated restore_sys_argv.patch
    - removed string_exception.patch, not needed

 -- Varun Hiremath <varun@debian.org>  Thu, 19 Apr 2012 16:14:28 -0400

=== debian/control ===
Source: python-scipy
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Fayolle <afayolle@debian.org>,
           Ondrej Certik <ondrej@certik.cz>,
           David Cournapeau <cournape@gmail.com>,
           Varun Hiremath <varun@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               gfortran,
               libblas-dev | libatlas-base-dev,
               liblapack-dev | libatlas-base-dev,
               libsuitesparse-dev (>= 3.1.0-3),
               python-all-dbg (>= 2.5.4-1~),
               python-all-dev (>= 2.6.6-3~),
               python-numpy (>= 1:1.5.1),
               python-numpy-dbg (>= 1:1.5.1),
               python3-all-dbg,
               python3-all-dev,
               python3-numpy (>= 1:1.6.2~rc1-1~),
               python3-numpy-dbg,
               sharutils,
               swig
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.1
Standards-Version: 3.9.3
Homepage: http://www.scipy.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/scipy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/scipy/trunk/
XS-DM-Upload-Allowed: yes

Package: python-scipy
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Recommends: g++ | c++-compiler, python-dev, python-imaging
Suggests: python-profiler
Description: scientific tools for Python
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.

Package: python3-scipy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: g++ | c++-compiler
Description: scientific tools for Python 3
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package provides the Python 3 version.

Package: python-scipy-dbg
Section: debug
Architecture: any
Depends: python-dbg,
         python-numpy-dbg (>= 1:1.5.1),
         python-scipy (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: scientific tools for Python - debugging symbols
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package provides debugging symbols for python-scipy.

Package: python3-scipy-dbg
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-numpy-dbg,
         python3-scipy (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: scientific tools for Python 3 - debugging symbols
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package provides debugging symbols for python3-scipy.

=== debian/rules ===
#!/usr/bin/make -f

unexport LDFLAGS
export FFLAGS="-fPIC"
export ATLAS=None

PY2VERS:= $(shell pyversions -v -r debian/control)
PY3VERS:= $(shell py3versions -v -r debian/control)
BASE=$(shell pwd)/debian
DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")

%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	rm -rf build
	find . -name "*.pyc" -exec rm {} \;

build-python%:
	python$* setup.py config_fc --noarch build;
	CFLAGS="-g -ggdb" python$*-dbg setup.py config_fc \
				--noarch build;

override_dh_auto_build: $(PY3VERS:%=build-python%) $(PY2VERS:%=build-python%)

install-python%:
	python$* setup.py install --root $(BASE)/tmp \
		--force --no-compile --install-layout=deb;

	python$*-dbg setup.py install --root $(BASE)/tmp \
		--force --no-compile --install-layout=deb;

override_dh_install: $(PY3VERS:%=install-python%) $(PY2VERS:%=install-python%)
	dh_install
	find debian/python-scipy -type f -name '*_d.so' -delete
	find debian/python3-scipy -type f -name '*.cpython-*d*.so' -delete
	find debian/python-scipy-dbg ! -type d ! -name '*_d.so' -delete
	find debian/python3-scipy-dbg ! -type d ! -name '*.cpython-*d*.so' -delete
	find debian/python-scipy-dbg -depth -empty -exec rmdir {} \;
	find debian/python3-scipy-dbg -depth -empty -exec rmdir {} \;
	rm -f $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/LICENSE.txt;
	rm -fr $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/weave/examples/

	# not ported to py3 in 0.10.1
	rm -rf $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/weave
        #call dh_numpy
	dh_numpy
	dh_numpy3

override_dh_fixperms:
	dh_fixperms
	set -e; for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!' ; then                      \
	    		chmod +x $$i;                                      \
		fi ;                                                       \
	done
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/lib/$(shell pyversions -d)/dist-packages/scipy/cluster/tests/vq_test.py
	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/lib/$(shell pyversions -d)/dist-packages/scipy/stats/tests/test_stats.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/cluster/tests/vq_test.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/stats/tests/test_stats.py
	#replace all the usr/bin/env python
	find $(BASE)/python3-scipy/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"

override_dh_strip:
	dh_strip -ppython-scipy --dbg-package=python-scipy-dbg
	dh_strip -ppython3-scipy --dbg-package=python3-scipy-dbg

get-orig-source:
	-uscan --force-download --download-version $(UVER) --rename

## python-scipy 0.10.1+dfsg2

=== debian/changelog ===
python-scipy (0.10.1+dfsg2-1) unstable; urgency=low

  * add missing cython and swig sources from git tag (Closes: #589731)
  * generate cython c files, requires python-mako and cython build depends
  * ensure that all swig files are regenerated
  * update debian/orig-tar.sh appropriately
  * interpnd-generator.patch: fix the interpnd.pyx generation

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 29 Nov 2012 21:56:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: cython,
+               debhelper (>= 7.0.50~),
                gfortran,
                libblas-dev | libatlas-base-dev,
                liblapack-dev | libatlas-base-dev,
                libsuitesparse-dev (>= 3.1.0-3),
                python-all-dbg (>= 2.5.4-1~),
                python-all-dev (>= 2.6.6-3~),
+               python-mako,
                python-numpy (>= 1:1.5.1),
                python-numpy-dbg (>= 1:1.5.1),
                python3-all-dbg,

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,22 @@
 override_dh_auto_clean:
 	rm -rf build
 	find . -name "*.pyc" -exec rm {} \;
+
+override_dh_auto_configure:
+	find scipy -name "*.pyx" | xargs cython
+	cd scipy/spatial/ && python generate_qhull.py
+	cd scipy/interpolate && python generate_interpnd.py
+	# needed for > 0.11
+	#cd scipy/special && python generate_ufuncs.py
+	# umfpack.i is rebuild by setup.py
+	# numpy.i and sparetools.i are included in the other sparsetools/*.i
+	swig -python -c++ scipy/sparse/sparsetools/dia.i
+	swig -python -c++ scipy/sparse/sparsetools/csr.i
+	swig -python -c++ scipy/sparse/sparsetools/csgraph.i
+	swig -python -c++ scipy/sparse/sparsetools/csc.i
+	swig -python -c++ scipy/sparse/sparsetools/coo.i
+	swig -python -c++ scipy/sparse/sparsetools/bsr.i
+	swig -python -c++ scipy/weave/examples/swig2_ext.i
 
 build-python%:
 	python$* setup.py config_fc --noarch build;

=== debian/watch ===
version=3
opts="dversionmangle=s/[+~]dfsg.*//" \
http://sf.net/scipy/scipy-([0-9.]+)\.tar\.gz debian debian/orig-tar.sh

## python-scipy 0.11.0+dfsg1

=== debian/changelog ===
python-scipy (0.11.0+dfsg1-1ubuntu2) raring; urgency=low

  * skip some failing autopkgtests
    - test_io.test_imread fails due to compressed pngs, fixed upstream
    - test_decomp.TestEig.test_singular atlas issue on i386

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 03 Apr 2013 19:54:33 +0200

python-scipy (0.11.0+dfsg1-1ubuntu1) raring; urgency=low

  * cap-the-decimal-precision-np.finfo-wrong-on-ppc.patch
  * skip test_mio on ppc python3, broken on big endian
  * catch test failures in addition to test errors

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 03 Mar 2013 14:41:04 +0100

python-scipy (0.11.0+dfsg1-1) experimental; urgency=low

  * New upstream release
  * bump required cython to >= 0.17
  * refresh patches:
    - drop upstream applied:
      - interpnd-generator.patch
      - dtype.diff,
      - kolmogorov.diff,
      - up_minpack_ints.diff
      - kde.diff
    - new patches for python3.3 compatibility and test fixing:
      - BUG-remove-inline-statement-rejected-by-cython.patch
      - BUG-fix-dependency-on-dict-ordering-in-test.patch
      - fix-test_basic.py-cephes_vs_amos_mass_te.patch
      - python3.3-incdir.diff
      - fix-dbg-crash.patch
      - fix-f2py-dependencies.patch
  * add autopkgtests
  * run fast tests during build
  * update debian/copyright to dep5

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 25 Jan 2013 23:54:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
-Build-Depends: cython,
+Build-Depends: cython (>= 0.17),
                debhelper (>= 7.0.50~),
                gfortran,
-               libblas-dev | libatlas-base-dev,
-               liblapack-dev | libatlas-base-dev,
+               libblas-dev,
+               liblapack-dev,
                libsuitesparse-dev (>= 3.1.0-3),
                python-all-dbg (>= 2.5.4-1~),
                python-all-dev (>= 2.6.6-3~),
                python-mako,
+               python-nose,
                python-numpy (>= 1:1.5.1),
                python-numpy-dbg (>= 1:1.5.1),
                python3-all-dbg,
                python3-all-dev,
+               python3-nose,
                python3-numpy (>= 1:1.6.2~rc1-1~),
                python3-numpy-dbg,
                sharutils,
@@ -30,6 +33,7 @@
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/scipy/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/scipy/trunk/
 XS-DM-Upload-Allowed: yes
+XS-Testsuite: autopkgtest
 
 Package: python-scipy
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 PY2VERS:= $(shell pyversions -v -r debian/control)
 PY3VERS:= $(shell py3versions -v -r debian/control)
+TMPDIR := $(CURDIR)/build/tmp
 BASE=$(shell pwd)/debian
 DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
 UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")
@@ -38,7 +39,7 @@
 	CFLAGS="-g -ggdb" python$*-dbg setup.py config_fc \
 				--noarch build;
 
-override_dh_auto_build: $(PY3VERS:%=build-python%) $(PY2VERS:%=build-python%)
+override_dh_auto_build: $(PY2VERS:%=build-python%) $(PY3VERS:%=build-python%)
 
 install-python%:
 	python$* setup.py install --root $(BASE)/tmp \
@@ -63,6 +64,19 @@
         #call dh_numpy
 	dh_numpy
 	dh_numpy3
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	mkdir -p $(TMPDIR)
+	set -e && for pyvers in $(PY2VERS); do \
+	  HOME=$(TMPDIR) ADTTMP=$(TMPDIR) \
+	  PYTHONPATH=$(BASE)/python-scipy/usr/lib/python$$pyvers/dist-packages/ \
+	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python2; \
+	done
+	set -e && for pyvers in $(PY3VERS); do \
+	  HOME=$(TMPDIR) ADTTMP=$(TMPDIR) \
+	  PYTHONPATH=$(BASE)/python3-scipy/usr/lib/python3/dist-packages/ \
+	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python3; \
+	done
+endif
 
 override_dh_fixperms:
 	dh_fixperms

## python-scipy 0.12.0

=== debian/changelog ===
python-scipy (0.12.0-3) unstable; urgency=high

  * temporary-directory-usage.patch:
    fix insecure temporary directory usage of weave module. (Closes: #726093)
    Thanks to Tomas Tomecek for the patch.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 22 Oct 2013 23:44:47 +0200

python-scipy (0.12.0-2) unstable; urgency=low

  * ignore testsuite failures to not block python3.3 transition
    only masks issues on hardly used ports

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 01 Jul 2013 20:09:40 +0200

python-scipy (0.12.0-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release, no repackaging required anymore
    - Closes: #707315
    - Closes: #691254
  * also fail on test failures not only test errors
  * skip failing test_mio on big endian python3 >= 3.2
  * print skipped tests and unused skips in autopkgtest scripts
  * add-swig-filetypes.patch, reswig.patch:
    reswigging from setup.py, dropped from debian/rules
  * cython-wraparound.patch: fix issue in ckdtree.pyx
  * qhull-lfs.patch: enable large file support
  * cap-ld-precision.patch: fix test failures due to broken np.finfo on ppc
  * refresh patches and remove upstream applied:
    - BUG-fix-dependency-on-dict-ordering-in-test.patch
    - BUG-remove-inline-statement-rejected-by-cython.patch
    - fix-dbg-crash.patch
    - fix-f2py-dependencies.patch
    - fix-test_basic.py-cephes_vs_amos_mass_te.patch
    - python3.3-incdir.diff
  * Bump standard to 3.9.4, no changes required
  * drop unused sharutils build depend and python-profiler from suggests
  * use system python-six and python-decorator instead of embedded copies
  * don't install setup.py and generator scripts

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 09 May 2013 11:35:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
@@ -15,32 +14,37 @@
                libsuitesparse-dev (>= 3.1.0-3),
                python-all-dbg (>= 2.5.4-1~),
                python-all-dev (>= 2.6.6-3~),
+               python-decorator,
                python-mako,
                python-nose,
                python-numpy (>= 1:1.5.1),
                python-numpy-dbg (>= 1:1.5.1),
+               python-six,
                python3-all-dbg,
                python3-all-dev,
+               python3-decorator,
                python3-nose,
                python3-numpy (>= 1:1.6.2~rc1-1~),
                python3-numpy-dbg,
-               sharutils,
+               python3-six,
                swig
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.scipy.org/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/scipy/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/scipy/trunk/
-XS-DM-Upload-Allowed: yes
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/scipy/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/scipy/trunk/
 XS-Testsuite: autopkgtest
 
 Package: python-scipy
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: python-decorator,
+         python-six,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Provides: ${python:Provides}
 Recommends: g++ | c++-compiler, python-dev, python-imaging
-Suggests: python-profiler
 Description: scientific tools for Python
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
  variety of high level science and engineering modules together as a single
@@ -54,7 +58,11 @@
 
 Package: python3-scipy
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: python3-decorator,
+         python3-six,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Recommends: g++ | c++-compiler
 Description: scientific tools for Python 3
  SciPy supplements the popular NumPy module (python-numpy package), gathering a

=== debian/rules ===
--- 
+++ 
@@ -19,20 +19,10 @@
 	find . -name "*.pyc" -exec rm {} \;
 
 override_dh_auto_configure:
+	cd scipy/special && python generate_ufuncs.py
+	# not required for 0.13 anymore
 	find scipy -name "*.pyx" | xargs cython
-	cd scipy/spatial/ && python generate_qhull.py
-	cd scipy/interpolate && python generate_interpnd.py
-	# needed for > 0.11
-	#cd scipy/special && python generate_ufuncs.py
-	# umfpack.i is rebuild by setup.py
-	# numpy.i and sparetools.i are included in the other sparsetools/*.i
-	swig -python -c++ scipy/sparse/sparsetools/dia.i
-	swig -python -c++ scipy/sparse/sparsetools/csr.i
-	swig -python -c++ scipy/sparse/sparsetools/csgraph.i
-	swig -python -c++ scipy/sparse/sparsetools/csc.i
-	swig -python -c++ scipy/sparse/sparsetools/coo.i
-	swig -python -c++ scipy/sparse/sparsetools/bsr.i
-	swig -python -c++ scipy/weave/examples/swig2_ext.i
+	# reswigging done by sparsetools/setup.py
 
 build-python%:
 	python$* setup.py config_fc --noarch build;
@@ -59,6 +49,17 @@
 	rm -f $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/LICENSE.txt;
 	rm -fr $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/weave/examples/
 
+	# drop all the installed setup.py files
+	find $(BASE)/ -name setup.py -delete
+	find $(BASE)/ -name generate_ufuncs.py -delete
+
+	set -e && for py in $(PY2VERS); do \
+	  ln -sf /usr/lib/python$$py/dist-packages/six.py $(BASE)/python-scipy/usr/lib/python$$py/dist-packages/scipy/lib/six.py; \
+	  ln -sf /usr/lib/python$$py/dist-packages/decorator.py $(BASE)/python-scipy/usr/lib/python$$py/dist-packages/scipy/lib/decorator.py; \
+	done
+	ln -sf /usr/lib/python3/dist-packages/six.py $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/lib/six.py
+	ln -sf /usr/lib/python3/dist-packages/decorator.py $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/lib/decorator.py
+
 	# not ported to py3 in 0.10.1
 	rm -rf $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/weave
         #call dh_numpy
@@ -66,13 +67,13 @@
 	dh_numpy3
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p $(TMPDIR)
-	set -e && for pyvers in $(PY2VERS); do \
-	  HOME=$(TMPDIR) ADTTMP=$(TMPDIR) \
+	-set -e && for pyvers in $(PY2VERS); do \
+	  ADTTMP=$(TMPDIR) \
 	  PYTHONPATH=$(BASE)/python-scipy/usr/lib/python$$pyvers/dist-packages/ \
 	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python2; \
 	done
-	set -e && for pyvers in $(PY3VERS); do \
-	  HOME=$(TMPDIR) ADTTMP=$(TMPDIR) \
+	-set -e && for pyvers in $(PY3VERS); do \
+	  ADTTMP=$(TMPDIR) \
 	  PYTHONPATH=$(BASE)/python3-scipy/usr/lib/python3/dist-packages/ \
 	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python3; \
 	done

=== debian/watch ===
version=3
opts="dversionmangle=s/[+~]dfsg.*//" \
http://sf.net/scipy/scipy-([0-9.]+)\.tar\.gz

## python-scipy 0.13.3

=== debian/changelog ===
python-scipy (0.13.3-1build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:35:44 +0100

python-scipy (0.13.3-1) experimental; urgency=low

  * New upstream release
  * ignore TestSplder.test_kink adt failure, probably numerical error

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 04 Feb 2014 19:48:01 +0100

python-scipy (0.13.2-1) experimental; urgency=low

  * New upstream release
  * update X-Python-Version to >= 2.6
  * require python3-numpy (>= 1:1.7.2) for hashing fixes
  * bump standard to 3.9.5, no changes required
  * bump cython dependency to >= 0.19 to avoid leaks with fused types

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 21 Oct 2013 18:59:29 +0200

python-scipy (0.13.0~b1-1) experimental; urgency=low

  [ Julian Taylor ]
  * New upstream beta release
  * require python-six >= 1.3.0, scipy ships a slightly patched 1.2.0,
    version 1.3.0 includes the patches

  [ Varun Hiremath ]
  * Fix debian/watch file

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 07 Sep 2013 18:06:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,37 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
-Build-Depends: cython (>= 0.17),
+Build-Depends: cython (>= 0.19),
                debhelper (>= 7.0.50~),
                gfortran,
                libblas-dev,
                liblapack-dev,
                libsuitesparse-dev (>= 3.1.0-3),
-               python-all-dbg (>= 2.5.4-1~),
+               python-all-dbg,
                python-all-dev (>= 2.6.6-3~),
                python-decorator,
                python-mako,
                python-nose,
                python-numpy (>= 1:1.5.1),
                python-numpy-dbg (>= 1:1.5.1),
-               python-six,
+               python-six (>= 1.3.0),
                python3-all-dbg,
                python3-all-dev,
                python3-decorator,
                python3-nose,
-               python3-numpy (>= 1:1.6.2~rc1-1~),
+               python3-numpy (>= 1:1.7.2),
                python3-numpy-dbg,
                python3-six,
                swig
-X-Python-Version: >= 2.4
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.scipy.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/scipy/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/scipy/trunk/
@@ -39,7 +40,7 @@
 Package: python-scipy
 Architecture: any
 Depends: python-decorator,
-         python-six,
+         python-six (>= 1.3.0),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -59,7 +60,8 @@
 Package: python3-scipy
 Architecture: any
 Depends: python3-decorator,
-         python3-six,
+         python3-numpy (>= 1:1.7.2),
+         python3-six (>= 1.3.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -103,7 +105,7 @@
 Section: debug
 Architecture: any
 Depends: python3-dbg,
-         python3-numpy-dbg,
+         python3-numpy-dbg (>= 1:1.7.2),
          python3-scipy (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,7 @@
 
 override_dh_auto_configure:
 	cd scipy/special && python generate_ufuncs.py
-	# not required for 0.13 anymore
-	find scipy -name "*.pyx" | xargs cython
-	# reswigging done by sparsetools/setup.py
+	# cython and swig done by setup.py
 
 build-python%:
 	python$* setup.py config_fc --noarch build;
@@ -41,9 +39,9 @@
 override_dh_install: $(PY3VERS:%=install-python%) $(PY2VERS:%=install-python%)
 	dh_install
 	find debian/python-scipy -type f -name '*_d.so' -delete
-	find debian/python3-scipy -type f -name '*.cpython-*d*.so' -delete
+	find debian/python3-scipy -type f -name '*.cpython-3?d*.so' -delete
 	find debian/python-scipy-dbg ! -type d ! -name '*_d.so' -delete
-	find debian/python3-scipy-dbg ! -type d ! -name '*.cpython-*d*.so' -delete
+	find debian/python3-scipy-dbg ! -type d ! -name '*.cpython-3?d*.so' -delete
 	find debian/python-scipy-dbg -depth -empty -exec rmdir {} \;
 	find debian/python3-scipy-dbg -depth -empty -exec rmdir {} \;
 	rm -f $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/LICENSE.txt;

=== debian/tests/control ===
Tests: python2
Depends: python-scipy, python-nose, python-all, python-all-dev, python-mpmath, python-imaging

Tests: python3
Depends: python3-scipy, python3-nose, python3-all, python3-all-dev

#needs root for update-alternatives
Tests: openblas
Restrictions: needs-root
Depends: python-scipy, python-nose, python, libopenblas-base

#needs root for update-alternatives
Tests: atlas
Restrictions: needs-root
Depends: python-scipy, python-nose, python, libatlas3-base

=== debian/watch ===
version=3
opts="uversionmangle=s/((a|b|rc)\d*)$/~$1/,dversionmangle=s/[+~]dfsg.*//" \
http://sf.net/scipy/scipy-(.*)\.tar\.gz

## python-scipy 0.14.0

=== scipy/special/c_misc/Makefile ===
LIB=c_misc
ROOTDIR=/usr/local
BUILDIR=$(ROOTDIR)
CFLAGS=-O2
CCC=gcc
CC=$(CCC)
OBJ=besselpoly.o
lib$(LIB).a:    $(OBJ)
	ar ru lib$(LIB).a $?
	ranlib lib$(LIB).a

install:	lib$(LIB).a
	install -c lib$(LIB).a $(BUILDIR)/lib

clean:
	rm -f *.o *.a *.so

=== debian/changelog ===
python-scipy (0.14.0-2) unstable; urgency=medium

  * add patches to fix test failures on i386 and mips:
    - fix-undefined-behavior-in-alngam.patch (Closes: #756905)
    - relax-bounds-of-interpolate-test.patch
  * add patches from 0.14.x maintenance branch:
    - sparse-superlu-fix.patch: fix crash
    - sparse-fix-omitted-types.patch: fix crash
    - put-back-veccdf.patch: restore stats api
    - put-_gen-classes-back.patch: restore stats api
    - numpy-version-fix.patch: fix wrong version check
    - numpy_ufunc.patch: compatibility with numpy 1.9

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 27 Aug 2014 14:40:24 +0200

python-scipy (0.14.0-1) unstable; urgency=low

  [ Denis Laxalde ]
  * Add the documentation binary package (Closes: #600547).

  [ Julian Taylor ]
  * New upstream release
  * drop not swig build dependency and reswig.patch, not needed anymore
  * use embedded six, current unstable version not compatible
  * fitpack-alias.patch: fix wrong aliasing in interpolate.splder

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 23 May 2014 10:37:06 +0200

python-scipy (0.13.3-2) unstable; urgency=medium

  * upload to unstable
  * add build-essential dependency to adt tests, needed for weave

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 31 Mar 2014 23:32:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
 Build-Depends: cython (>= 0.19),
-               debhelper (>= 7.0.50~),
+               debhelper (>= 8.9.7~),
                gfortran,
                libblas-dev,
                liblapack-dev,
@@ -20,15 +19,18 @@
                python-nose,
                python-numpy (>= 1:1.5.1),
                python-numpy-dbg (>= 1:1.5.1),
-               python-six (>= 1.3.0),
                python3-all-dbg,
                python3-all-dev,
                python3-decorator,
                python3-nose,
                python3-numpy (>= 1:1.7.2),
-               python3-numpy-dbg,
-               python3-six,
-               swig
+               python3-numpy-dbg
+Build-Depends-Indep: dvipng,
+                     python-docutils,
+                     python-matplotlib,
+                     python-sphinx,
+                     texlive-latex-base,
+                     texlive-latex-extra
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
 Standards-Version: 3.9.5
@@ -39,11 +41,7 @@
 
 Package: python-scipy
 Architecture: any
-Depends: python-decorator,
-         python-six (>= 1.3.0),
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
+Depends: python-decorator, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
 Recommends: g++ | c++-compiler, python-dev, python-imaging
 Description: scientific tools for Python
@@ -61,7 +59,6 @@
 Architecture: any
 Depends: python3-decorator,
          python3-numpy (>= 1:1.7.2),
-         python3-six (>= 1.3.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -122,3 +119,20 @@
  others.
  .
  This package provides debugging symbols for python3-scipy.
+
+Package: python-scipy-doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Section: doc
+Architecture: all
+Description: scientific library for Python - documentation
+ SciPy supplements the popular NumPy module (python-numpy package), gathering a
+ variety of high level science and engineering modules together as a single
+ package.
+ .
+ SciPy is a set of Open Source scientific and numeric tools for Python. It
+ currently supports special functions, integration, ordinary differential
+ equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
+ programming tools, an expression-to-C++ compiler for fast execution, and
+ others.
+ .
+ This package contains documentation for the SciPy library.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 BASE=$(shell pwd)/debian
 DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
 UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")
+PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
 
 %:
 	dh $@ --with python2,python3
@@ -26,6 +27,14 @@
 	python$* setup.py config_fc --noarch build;
 	CFLAGS="-g -ggdb" python$*-dbg setup.py config_fc \
 				--noarch build;
+
+build: build-arch build-indep
+
+build-arch:
+	dh build --with=python2,python3
+
+build-indep:
+	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))
 
 override_dh_auto_build: $(PY2VERS:%=build-python%) $(PY3VERS:%=build-python%)
 
@@ -52,10 +61,8 @@
 	find $(BASE)/ -name generate_ufuncs.py -delete
 
 	set -e && for py in $(PY2VERS); do \
-	  ln -sf /usr/lib/python$$py/dist-packages/six.py $(BASE)/python-scipy/usr/lib/python$$py/dist-packages/scipy/lib/six.py; \
 	  ln -sf /usr/lib/python$$py/dist-packages/decorator.py $(BASE)/python-scipy/usr/lib/python$$py/dist-packages/scipy/lib/decorator.py; \
 	done
-	ln -sf /usr/lib/python3/dist-packages/six.py $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/lib/six.py
 	ln -sf /usr/lib/python3/dist-packages/decorator.py $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/lib/decorator.py
 
 	# not ported to py3 in 0.10.1
@@ -95,5 +102,9 @@
 	dh_strip -ppython-scipy --dbg-package=python-scipy-dbg
 	dh_strip -ppython3-scipy --dbg-package=python3-scipy-dbg
 
+override_dh_installdocs-indep:
+	dh_installdocs -i
+	dh_sphinxdoc -i
+
 get-orig-source:
 	-uscan --force-download --download-version $(UVER) --rename

=== debian/tests/control ===
Tests: python2
Depends: build-essential, python-scipy, python-nose, python-all, python-all-dev, python-mpmath, python-imaging

Tests: python3
Depends: build-essential, python3-scipy, python3-nose, python3-all, python3-all-dev

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: openblas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-nose, python, libopenblas-base

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: atlas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-nose, python, libatlas3-base

## python-scipy 0.14.1

=== debian/changelog ===
python-scipy (0.14.1-1ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:11:25 +0000

python-scipy (0.14.1-1ubuntu1) vivid; urgency=medium

  * Backport fixes for issues #4388 and #4456 to pass autopkg tests.
    LP: #1426841.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Mar 2015 17:59:37 +0100

python-scipy (0.14.1-1) unstable; urgency=medium

  * New upstream bugfix release
    remove upstream applied patches:
     - numpy-version-fix.patch
     - numpy_ufunc.patch
     - put-_gen-classes-back.patch
     - put-back-veccdf.patch
     - sparse-fix-omitted-types.patch
     - sparse-superlu-fix.patch
  * add python-gmpy2 dependency to autopkgtest to speed up mpmath tests
  * add suggest on python-scipy-doc (Closes: #760522)
  * debian/copyright: add bootstrap Apache 2.0 license

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 05 Sep 2014 18:56:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
@@ -44,6 +45,7 @@
 Depends: python-decorator, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
 Recommends: g++ | c++-compiler, python-dev, python-imaging
+Suggests: python-scipy-doc
 Description: scientific tools for Python
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
  variety of high level science and engineering modules together as a single
@@ -63,6 +65,7 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: g++ | c++-compiler
+Suggests: python-scipy-doc
 Description: scientific tools for Python 3
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
  variety of high level science and engineering modules together as a single

## python-scipy 0.17.0

=== debian/changelog ===
python-scipy (0.17.0-1) unstable; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 23 Jan 2016 20:39:44 +0100

python-scipy (0.16.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * update adt-tests to new layout
  * remove duplicate files in -doc package

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 25 Oct 2015 11:51:34 +0100

python-scipy (0.16.0-2) unstable; urgency=medium

  [ Julian Taylor ]
  * bump cython build-depend to required 0.22

  [ Jean-Christophe Jaskula ]
  * fix build of documentation in arch only builds

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 24 Aug 2015 09:51:10 +0200

python-scipy (0.16.0-1) unstable; urgency=medium

  [ Varun Hiremath ]
  * New upstream release
  * Bump Standards-Version to 3.9.6
  * Remove upstream applied patches:
    - fitpack-alias.patch
    - fix-undefined-behavior-in-alngam.patch
    - relax-bounds-of-interpolate-test.patch
  * d/rules: minor build fixes

  [ Jean-Christophe Jaskula ]
  * Pointed debian/watch to github.com (cleaner sources)
  * d/control:
    - Added dh_python to B-d
    - Removed unnecessary XS-Testsuite field
  * Linking to local javascript libraries
    - use_local_mathjax.patch
  * Using local intersphinx objects
    - use_local_objects.patch
  * Cleaned debian/copyright

 -- Varun Hiremath <varun@debian.org>  Sun, 23 Aug 2015 23:01:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-scipy
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
-Build-Depends: cython (>= 0.19),
+Build-Depends: cython (>= 0.22),
                debhelper (>= 8.9.7~),
+               dh-python,
                gfortran,
                libblas-dev,
                liblapack-dev,
@@ -27,22 +27,29 @@
                python3-numpy (>= 1:1.7.2),
                python3-numpy-dbg
 Build-Depends-Indep: dvipng,
+                     python-doc,
                      python-docutils,
                      python-matplotlib,
+                     python-numpy-doc,
+                     python-numpydoc,
                      python-sphinx,
+                     rdfind,
+                     symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.scipy.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/scipy/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/scipy/trunk/
-XS-Testsuite: autopkgtest
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-scipy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scipy.git
 
 Package: python-scipy
 Architecture: any
-Depends: python-decorator, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: python-decorator,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Provides: ${python:Provides}
 Recommends: g++ | c++-compiler, python-dev, python-imaging
 Suggests: python-scipy-doc
@@ -124,7 +131,11 @@
  This package provides debugging symbols for python3-scipy.
 
 Package: python-scipy-doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: libjs-jquery,
+         libjs-mathjax,
+         libjs-underscore,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Section: doc
 Architecture: all
 Description: scientific library for Python - documentation

=== debian/rules ===
--- 
+++ 
@@ -61,13 +61,13 @@
 	find $(BASE)/ -name generate_ufuncs.py -delete
 
 	set -e && for py in $(PY2VERS); do \
-	  ln -sf /usr/lib/python$$py/dist-packages/decorator.py $(BASE)/python-scipy/usr/lib/python$$py/dist-packages/scipy/lib/decorator.py; \
+	  ln -sf /usr/lib/python$$py/dist-packages/decorator.py $(BASE)/python-scipy/usr/lib/python$$py/dist-packages/scipy/_lib/decorator.py; \
 	done
-	ln -sf /usr/lib/python3/dist-packages/decorator.py $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/lib/decorator.py
+	ln -sf /usr/lib/python3/dist-packages/decorator.py $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/_lib/decorator.py
 
 	# not ported to py3 in 0.10.1
 	rm -rf $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/weave
-        #call dh_numpy
+
 	dh_numpy
 	dh_numpy3
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -91,12 +91,15 @@
 	    		chmod +x $$i;                                      \
 		fi ;                                                       \
 	done
-	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/lib/$(shell pyversions -d)/dist-packages/scipy/cluster/tests/vq_test.py
+	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/lib/$(shell pyversions -d)/dist-packages/scipy/cluster/tests/test_vq.py
 	sed -i '1s|.|#!/usr/bin/python\n&|' $(BASE)/python-scipy/usr/lib/$(shell pyversions -d)/dist-packages/scipy/stats/tests/test_stats.py
-	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/cluster/tests/vq_test.py
+	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/cluster/tests/test_vq.py
 	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/stats/tests/test_stats.py
 	#replace all the usr/bin/env python
 	find $(BASE)/python3-scipy/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"
+
+	# .Mat files should not be executable
+	find $(BASE)/python*-scipy/usr/lib/python*/dist-packages/scipy/io/matlab/tests/data/ -executable -type f | xargs chmod -x
 
 override_dh_strip:
 	dh_strip -ppython-scipy --dbg-package=python-scipy-dbg
@@ -104,7 +107,18 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs -i
+
+	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/jquery.js
+	dh_link -ppython-scipy-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-scipy-doc/html/_static/jquery.js
+
+	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/underscore.js
+	dh_link -ppython-scipy-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-scipy-doc/html/_static/underscore.js
+
+	dh_link -ppython-scipy-doc /usr/share/javascript/mathjax/MathJax.js /usr/share/doc/python-scipy-doc/html/_static/MathJax.js
 	dh_sphinxdoc -i
+	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false debian/python-scipy-doc
+	symlinks -r -s -c debian/python-scipy-doc
 
 get-orig-source:
 	-uscan --force-download --download-version $(UVER) --rename
+

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: python2
-Depends: build-essential, python-scipy, python-nose, python-all, python-all-dev, python-mpmath, python-imaging
+Depends: build-essential, python-scipy, python-nose, python-all, python-all-dev, python-mpmath, python-gmpy2, python-imaging
 
 Tests: python3
 Depends: build-essential, python3-scipy, python3-nose, python3-all, python3-all-dev

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/scipy/scipy/releases (?:.*?/)?scipy-v?(\d[\d.]*)\.tar\.gz

## python-scipy 0.17.1

=== debian/changelog ===
python-scipy (0.17.1-1) unstable; urgency=medium

  [ Julian Taylor ]
  * New upstream bugfix release
  * enable parallel build based on DEB_BUILD_OPTIONS
  * bump standard to 3.9.7, no changes required

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 23 May 2016 20:02:14 +0200

=== debian/control ===
--- 
+++ 
@@ -39,9 +39,9 @@
                      texlive-latex-extra
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.scipy.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-scipy.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-scipy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scipy.git
 
 Package: python-scipy

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
 UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")
 PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  export NPY_NUM_BUILD_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
 
 %:
 	dh $@ --with python2,python3
